Authorization: Bearer ********************curl --location --request POST 'admins' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "object",
"properties": {
"email": {
"type": "string"
},
"name": {
"type": "string"
},
"password": {
"type": "string",
"minLength": 8
},
"role": {
"type": "string",
"examples": [
"ADMIN",
", BUILDER"
],
"default": "BUILDER"
},
"active": {
"type": "boolean",
"default": true
}
},
"x-apidog-orders": [
"email",
"name",
"password",
"role",
"active"
],
"required": [
"email",
"role",
"password",
"active"
]
}'{
"message": "User created successfully",
"user": {
"id": "13a90749-2420-4747-b476-3d9d5e907bd1",
"email": "Gust.Stehr2s@yahoo.com",
"name": "Felicia Hansen",
"role": "ADMIN",
"active": true,
"createdAt": "2026-02-03T14:04:45.766Z",
"updatedAt": "2026-02-03T14:04:45.766Z"
}
}